Skip to main content
GET /v1/org/quote/getQuote/{quoteId}
Retrieve a quote you generated earlier, using the quoteId from any results entry. The quote must belong to your organisation.

Authorization

x-api-key
string
required
Your organisation API key (dzk_live_…).

Path parameters

quoteId
string
required
The quoteId returned when the quote was generated, e.g. K541037RNBUQ.

Response

Same shape as Generate quotesorigin, destination, goods, and a single results entry for the quote.
curl https://api.dyspach.com/v1/org/quote/getQuote/K541037RNBUQ \
  -H "x-api-key: $DYSPACH_API_KEY"
{
  "origin": { "postalCode": "2000", "suburb": "BARANGAROO", "city": "Sydney", "state": "NSW", "stateName": "New South Wales", "countryCode": "AU" },
  "destination": { "postalCode": "3000", "suburb": "MELBOURNE", "city": "Melbourne", "state": "VIC", "stateName": "Victoria", "countryCode": "AU" },
  "goods": [
    { "type": "Carton/Box", "quantity": 2, "length": 30, "width": 30, "height": 30, "weight": 10, "chargeableWeight": 20 }
  ],
  "results": [
    {
      "customerId": "ACME",
      "quoteId": "K541037RNBUQ",
      "noQuoteMessage": "",
      "quotes": [
        {
          "rateId": "7cd6c7cf-84af-419d-b34d-6d270cc809ee",
          "serviceName": "Falcon Freight",
          "serviceId": "FALCON",
          "rateCardName": "Falcon Standard",
          "rateCardId": "FALCON_STD",
          "isSpotRate": false,
          "spotRateMessage": "",
          "amount": 10,
          "totalAmount": 19.8,
          "gstAmount": 1.8,
          "deliveryTime": "1 - 5 business day(s)",
          "minTransitTime": 1,
          "maxTransitTime": 5,
          "transitTimeUnit": "D",
          "surcharges": [
            { "name": "Remote Location", "description": "Remote Location", "key": "Remote Location", "amount": 8 }
          ]
        }
      ]
    }
  ]
}